import json
from datetime import datetime
from datetime import timedelta
from django.core.management.base import BaseCommand
from django.db.models import Sum
from recommend.tasks import cal_userinterest_rank, cal_servicehot_rank
from libs.cache import redis_client


#@desc 计算设备的兴趣分和tag下的热门美购
#@rd   郑伟
#@date 20170724

class Command(BaseCommand):
    def handle(selfs,*args, **kwargs):
        cal_userinterest_rank()
        cal_servicehot_rank()